Summary: Drag and Drop Editor
Name: OffiX-Editor
Version: 2.4
Release: 5
Source: ftp.leb.net:/pub/offix/Editor-2.4.tar.gz
Source1: offix-editor.wmconfig
Patch: Editor-2.4-Xaw3d.patch
BuildRoot: /var/tmp/OffiX-Editor-build
Copyright: GPL
Group: X11/Applications

%description
This is an Athena based text editor. It's a patched version of the xed
editor. Like xed, you can perform common actions via user-friendly menus.
You can also drop a file on the "filename" area and the editor will load
this file. If the file is saved, you can also drag from this area to
somewhere else (e.g. to the "printer" program).

%prep
%setup -q  -n Editor-2.4
%patch -p1

%build
./configure --prefix=/usr/X11R6 --datadir=/usr/X11R6/lib/X11 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 datadir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 install
install -c -m 644 src/Editor.mutekeys $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Editor
strip $RPM_BUILD_ROOT/usr/X11R6/bin/editor

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-editor.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/offix-editor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS src/Editor.mutekeys src/Editor.nomute
/usr/X11R6/bin/editor
/usr/X11R6/man/man1/editor.1
%config /usr/X11R6/lib/X11/app-defaults/Editor
%dir /usr/X11R6/lib/X11/OffiX
/usr/X11R6/lib/X11/OffiX/editor.help
/etc/X11/wmconfig/offix-editor

%changelog
* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated spec file and rebuilt for 5.2 

* Tue May 27 1998 Michael Maher <mike@redhat.com>
- updated spec file and checked for errors

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged the contirb package and cleaned it up a bit

